Package org.eclipse.ui.editors.text

## Class TextEditorActionContributor

- java.lang.Object
- - org.eclipse.ui.part.EditorActionBarContributor
  - - org.eclipse.ui.texteditor.BasicTextEditorActionContributor
    - - org.eclipse.ui.editors.text.TextEditorActionContributor

All Implemented Interfaces:
  `IEditorActionBarContributor`

    public class TextEditorActionContributor
    extends BasicTextEditorActionContributor

Manages the installation and de-installation of global actions for the default text editor.

If instantiated and used as-is, this contributor connects the following global actions:

- Add Bookmark
- Add Task
- Change Encoding
- Quick Assist

Since:
  2.0

### Constructor Summary

Constructors
`TextEditorActionContributor()` Creates a new contributor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `contributeToMenu​(IMenuManager menu)` Contributes to the given menu.
`void` `dispose()` The `EditorActionBarContributor` implementation of this `IEditorActionBarContributor` method does nothing, subclasses may override.
`void` `init​(IActionBars bars)` This method calls: `contributeToMenu` with `bars`' menu manager `contributeToToolBar` with `bars`' tool bar manager `contributeToCoolBar` with `bars`' cool bar manager if `IActionBars` is of extended type `IActionBars2` `contributeToStatusLine` with `bars`' status line manager The given action bars are also remembered and made accessible via `getActionBars`.
`void` `setActiveEditor​(IEditorPart part)` The `BasicTextEditorActionContributor` implementation of this `IEditorActionBarContributor` method installs the global action handler for the given text editor by calling a private helper method.

### Methods inherited from class org.eclipse.ui.texteditor.BasicTextEditorActionContributor

`contributeToStatusLine, getAction, getActiveEditorPart`

### Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor

`contributeToCoolBar, contributeToToolBar, getActionBars, getPage, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextEditorActionContributor

    public TextEditorActionContributor()

Creates a new contributor.

### Method Detail

#### contributeToMenu

    public void contributeToMenu​(IMenuManager menu)

Description copied from class: `EditorActionBarContributor`
Contributes to the given menu.

The `EditorActionBarContributor` implementation of this method does nothing. Subclasses may reimplement to add to the menu portion of this contribution.

Overrides:
  `contributeToMenu` in class `BasicTextEditorActionContributor`
Parameters:
  `menu` - the manager that controls the menu

#### setActiveEditor

    public void setActiveEditor​(IEditorPart part)

Description copied from class: `BasicTextEditorActionContributor`
The `BasicTextEditorActionContributor` implementation of this `IEditorActionBarContributor` method installs the global action handler for the given text editor by calling a private helper method.

Subclasses may extend.

Specified by:
  `setActiveEditor` in interface `IEditorActionBarContributor`
Overrides:
  `setActiveEditor` in class `BasicTextEditorActionContributor`
Parameters:
  `part` - the new target editor

#### dispose

    public void dispose()

Description copied from class: `EditorActionBarContributor`
The `EditorActionBarContributor` implementation of this `IEditorActionBarContributor` method does nothing, subclasses may override.

Specified by:
  `dispose` in interface `IEditorActionBarContributor`
Overrides:
  `dispose` in class `BasicTextEditorActionContributor`

#### init

    public void init​(IActionBars bars)

Description copied from class: `EditorActionBarContributor`
This method calls:

- `contributeToMenu` with `bars`' menu manager
- `contributeToToolBar` with `bars`' tool bar manager
- `contributeToCoolBar` with `bars`' cool bar manager if `IActionBars` is of extended type `IActionBars2`
- `contributeToStatusLine` with `bars`' status line manager

The given action bars are also remembered and made accessible via `getActionBars`.

Overrides:
  `init` in class `EditorActionBarContributor`
Parameters:
  `bars` - the action bars